BF2 error (i dont have use pb) -1 reply

Please wait...

Guest

I didn't make it!

0 XP

 
#1 10 years ago

:confused:Hi there, anyway I have some kind of error in BF2 when I join a server (i dont use punkbuster). And it was working before. It says "This server only allows players with unmodified content to join. Revert your version of Battlefield 2 to the current official version of Battlefield 2" (i have version:1.02442.0). Does anyone know how to fix this help plz!!!!:confused: It use to work but not anymore!:bows:




Guest

I didn't make it!

0 XP

 
#2 10 years ago

Plz Help!




cdogmn

BF2 And EA/Dice=We Loose

50 XP

2nd January 2007

0 Uploads

398 Posts

0 Threads

#3 10 years ago

you have to use the latest patch, click here Battlefield 2 v1.41 Patch, Battlefield 2142 Downloads, Battlefield 2142 Client Files you need to enable PB if you want to get your ranks and rewards




Guest

I didn't make it!

0 XP

 
#4 10 years ago

is a patch the whole game just different version or wat else?




AcE

.............

50 XP

8th November 2003

0 Uploads

3,835 Posts

0 Threads

#5 10 years ago

An update.




Guest

I didn't make it!

0 XP

 
#6 10 years ago

thanks Ace, Please No More Post Here Problem Fixed!